package com.ruoyi.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import java.util.List;
import com.ruoyi.business.domain.Vehicle;

/**
 * 【请填写功能名称】Service接口
 * 
 * @author wms
 * @date 2022-10-13
 */
public interface IVehicleService extends IService<Vehicle>
{
    /**
     * 查询【请填写功能名称】
     * 
     * @param vehicleId 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public Vehicle selectVehicleByVehicleId(String vehicleId);

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param vehicle 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<Vehicle> selectVehicleList(Vehicle vehicle);

    /**
     * 新增【请填写功能名称】
     * 
     * @param vehicle 【请填写功能名称】
     * @return 结果
     */
    public int insertVehicle(Vehicle vehicle);

    /**
     * 修改【请填写功能名称】
     * 
     * @param vehicle 【请填写功能名称】
     * @return 结果
     */
    public int updateVehicle(Vehicle vehicle);


    /**
     * 更新载具状态为已出库
     *
     * @param vehicleIds 所选择的载具码
     * @return 结果
     */
    public int updateVehicleStsByVehicleIds(String vehicleIds);

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param vehicleIds 需要删除的【请填写功能名称】主键集合
     * @return 结果
     */
    public int deleteVehicleByVehicleIds(String vehicleIds);

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param vehicleId 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteVehicleByVehicleId(String vehicleId);
}
